Skip to main content
Controls

Set gb control

Set gb control. This method will set the value of a gb control to the data provided in the JSON payload.

PUT
/gb/controls/{module}/{name}/{effective_from}

This method requires the GbControls:Update permission to be associated with your role.

Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd
moduleenum<string>required
Available options: gb, fm, qt, gl, sl, pl, qq, sp, bk
namestringrequired
effective_fromstringdefault:0000-00-00required
Audit-User-Idstringheader

(Optional) User Id to use for audit purposes. This header requires the Audit:UserIdOverride permission to be associated with your role.

Maximum string length: 5
Pattern: ^[1-9]{1}[0-9]*$

Body

application/json

JSON payload

encrypted_flagenum<string>default:no

Should the gb control value be encrypted?

Available options: no, yes
override_warnings_flagenum<string>

Override warning validation. If not specified, defaults to 'no'

Available options: yes, no
Example: no
super_flagenum<string>default:no

Should the gb control value be restricted to super users?

Available options: no, yes
valueany

Response

application/vnd.catch-e-api.v1+json

Success

effective_fromstring
encrypted_flagenum<string>default:no
Available options: no, yes
moduleenum<string>
Available options: gb, fm, qt, gl, sl, pl, qq, sp, bk
namestring
Maximum string length: 255
super_flagenum<string>default:no
Available options: no, yes
valueany